| Home | Libraries | People | FAQ | More

##### BOOST_GEOMETRY_REGISTER_POINT_2D_CONST

Macro to register a 2D point type (const version)

###### Description

The macro BOOST_GEOMETRY_REGISTER_POINT_2D_CONST registers a two-dimensional point type such that it is recognized by Boost.Geometry and that Boost.Geometry functionality can used with the specified type.. The const version registers only read access to the fields, the point type is therefore read-only

###### Synopsis

    #define BOOST_GEOMETRY_REGISTER_POINT_2D_CONST(Point, CoordinateType, CoordinateSystem, Field0, Field1)

###### Parameters

Name | Description
--- | ---
Point | Point type to be registered
CoordinateType | Type of the coordinates of the point (e.g. double)
CoordinateSystem | Coordinate system (e.g. cs::cartesian)
Field0 | Member containing first (usually x) coordinate
Field1 | Member containing second (usually y) coordinate

###### Header

`#include <boost/geometry/geometries/register/point.hpp>`